al_findfirst(3)

NAME
al_findfirst

SYNOPSIS
#include <allegro.h>

int al_findfirst(const char *pattern, struct al_ffblk *info, int attrib);

DESCRIPTION
Low-level function for searching files. This function finds the first file which matches the given wildcard specification and file attributes (see above). The information about the file (if any) will be put in the al_ffblk structure which you have to provide. The function returns zero if a match is found, nonzero if none is found or if an error occured and, in the latter case, sets errno accordingly. The al_ffblk structure looks like:
   struct al_ffblk
   {
      int attrib;       - actual attributes of the file found
      time_t time;      - modification time of file
      long size;        - size of file
      char name[512];   - name of file
   };

There is some other stuff in the structure as well, but it is there for internal use only.

SEE ALSO
al_findnext(3), al_findclose(3)